package android.view;
public abstract class ViewGroup
  extends android.view.View
  implements android.view.ViewParent
{
public static class LayoutParams
{
public  LayoutParams(android.content.Context arg0, android.util.AttributeSet arg1) { throw new RuntimeException("Stub!"); }
public  LayoutParams(int arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  LayoutParams(android.view.ViewGroup.LayoutParams arg0) { throw new RuntimeException("Stub!"); }
public static final int FILL_PARENT = -1;
public static final int MATCH_PARENT = -1;
public static final int WRAP_CONTENT = -2;
public int width;
public int height;
public android.view.animation.LayoutAnimationController.AnimationParameters layoutAnimationParameters;
}
public static interface OnHierarchyChangeListener
{
public abstract  void onChildViewAdded(android.view.View arg0, android.view.View arg1);
public abstract  void onChildViewRemoved(android.view.View arg0, android.view.View arg1);
}
public  ViewGroup(android.content.Context arg0) { super((android.content.Context)null,(android.util.AttributeSet)null,0); throw new RuntimeException("Stub!"); }
public  ViewGroup(android.content.Context arg0, android.util.AttributeSet arg1) { super((android.content.Context)null,(android.util.AttributeSet)null,0); throw new RuntimeException("Stub!"); }
public  ViewGroup(android.content.Context arg0, android.util.AttributeSet arg1, int arg2) { super((android.content.Context)null,(android.util.AttributeSet)null,0); throw new RuntimeException("Stub!"); }
public  int getDescendantFocusability() { throw new RuntimeException("Stub!"); }
public  void setDescendantFocusability(int arg0) { throw new RuntimeException("Stub!"); }
public  void requestChildFocus(android.view.View arg0, android.view.View arg1) { throw new RuntimeException("Stub!"); }
public  void focusableViewAvailable(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  boolean showContextMenuForChild(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  android.view.View focusSearch(android.view.View arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  boolean requestChildRectangleOnScreen(android.view.View arg0, android.graphics.Rect arg1, boolean arg2) { throw new RuntimeException("Stub!"); }
public  boolean dispatchUnhandledMove(android.view.View arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void clearChildFocus(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  void clearFocus() { throw new RuntimeException("Stub!"); }
public  android.view.View getFocusedChild() { throw new RuntimeException("Stub!"); }
public  boolean hasFocus() { throw new RuntimeException("Stub!"); }
public  android.view.View findFocus() { throw new RuntimeException("Stub!"); }
public  boolean hasFocusable() { throw new RuntimeException("Stub!"); }
public  void addFocusables(java.util.ArrayList<android.view.View> arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void addFocusables(java.util.ArrayList<android.view.View> arg0, int arg1, int arg2) { throw new RuntimeException("Stub!"); }
public  void dispatchWindowFocusChanged(boolean arg0) { throw new RuntimeException("Stub!"); }
public  void addTouchables(java.util.ArrayList<android.view.View> arg0) { throw new RuntimeException("Stub!"); }
public  void dispatchDisplayHint(int arg0) { throw new RuntimeException("Stub!"); }
public  void dispatchWindowVisibilityChanged(int arg0) { throw new RuntimeException("Stub!"); }
public  void dispatchConfigurationChanged(android.content.res.Configuration arg0) { throw new RuntimeException("Stub!"); }
public  void recomputeViewAttributes(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  void bringChildToFront(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  boolean dispatchKeyEventPreIme(android.view.KeyEvent arg0) { throw new RuntimeException("Stub!"); }
public  boolean dispatchKeyEvent(android.view.KeyEvent arg0) { throw new RuntimeException("Stub!"); }
public  boolean dispatchKeyShortcutEvent(android.view.KeyEvent arg0) { throw new RuntimeException("Stub!"); }
public  boolean dispatchTrackballEvent(android.view.MotionEvent arg0) { throw new RuntimeException("Stub!"); }
public  boolean dispatchTouchEvent(android.view.MotionEvent arg0) { throw new RuntimeException("Stub!"); }
public  void requestDisallowInterceptTouchEvent(boolean arg0) { throw new RuntimeException("Stub!"); }
public  boolean onInterceptTouchEvent(android.view.MotionEvent arg0) { throw new RuntimeException("Stub!"); }
public  boolean requestFocus(int arg0, android.graphics.Rect arg1) { throw new RuntimeException("Stub!"); }
public  boolean dispatchPopulateAccessibilityEvent(android.view.accessibility.AccessibilityEvent arg0) { throw new RuntimeException("Stub!"); }
public  void setPadding(int arg0, int arg1, int arg2, int arg3) { throw new RuntimeException("Stub!"); }
public  void setClipChildren(boolean arg0) { throw new RuntimeException("Stub!"); }
public  void setClipToPadding(boolean arg0) { throw new RuntimeException("Stub!"); }
public  void dispatchSetSelected(boolean arg0) { throw new RuntimeException("Stub!"); }
public  void addView(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  void addView(android.view.View arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void addView(android.view.View arg0, int arg1, int arg2) { throw new RuntimeException("Stub!"); }
public  void addView(android.view.View arg0, android.view.ViewGroup.LayoutParams arg1) { throw new RuntimeException("Stub!"); }
public  void addView(android.view.View arg0, int arg1, android.view.ViewGroup.LayoutParams arg2) { throw new RuntimeException("Stub!"); }
public  void updateViewLayout(android.view.View arg0, android.view.ViewGroup.LayoutParams arg1) { throw new RuntimeException("Stub!"); }
public  void setOnHierarchyChangeListener(android.view.ViewGroup.OnHierarchyChangeListener arg0) { throw new RuntimeException("Stub!"); }
public  void removeView(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  void removeViewInLayout(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  void removeViewsInLayout(int arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void removeViewAt(int arg0) { throw new RuntimeException("Stub!"); }
public  void removeViews(int arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void removeAllViews() { throw new RuntimeException("Stub!"); }
public  void removeAllViewsInLayout() { throw new RuntimeException("Stub!"); }
public final  void invalidateChild(android.view.View arg0, android.graphics.Rect arg1) { throw new RuntimeException("Stub!"); }
public  android.view.ViewParent invalidateChildInParent(int[] arg0, android.graphics.Rect arg1) { throw new RuntimeException("Stub!"); }
public final  void offsetDescendantRectToMyCoords(android.view.View arg0, android.graphics.Rect arg1) { throw new RuntimeException("Stub!"); }
public final  void offsetRectIntoDescendantCoords(android.view.View arg0, android.graphics.Rect arg1) { throw new RuntimeException("Stub!"); }
public  boolean getChildVisibleRect(android.view.View arg0, android.graphics.Rect arg1, android.graphics.Point arg2) { throw new RuntimeException("Stub!"); }
public  void startLayoutAnimation() { throw new RuntimeException("Stub!"); }
public  void scheduleLayoutAnimation() { throw new RuntimeException("Stub!"); }
public  void setLayoutAnimation(android.view.animation.LayoutAnimationController arg0) { throw new RuntimeException("Stub!"); }
public  android.view.animation.LayoutAnimationController getLayoutAnimation() { throw new RuntimeException("Stub!"); }
public  boolean isAnimationCacheEnabled() { throw new RuntimeException("Stub!"); }
public  void setAnimationCacheEnabled(boolean arg0) { throw new RuntimeException("Stub!"); }
public  boolean isAlwaysDrawnWithCacheEnabled() { throw new RuntimeException("Stub!"); }
public  void setAlwaysDrawnWithCacheEnabled(boolean arg0) { throw new RuntimeException("Stub!"); }
public  int getPersistentDrawingCache() { throw new RuntimeException("Stub!"); }
public  void setPersistentDrawingCache(int arg0) { throw new RuntimeException("Stub!"); }
public  android.view.ViewGroup.LayoutParams generateLayoutParams(android.util.AttributeSet arg0) { throw new RuntimeException("Stub!"); }
public  int indexOfChild(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  int getChildCount() { throw new RuntimeException("Stub!"); }
public  android.view.View getChildAt(int arg0) { throw new RuntimeException("Stub!"); }
public static  int getChildMeasureSpec(int arg0, int arg1, int arg2) { throw new RuntimeException("Stub!"); }
public  void clearDisappearingChildren() { throw new RuntimeException("Stub!"); }
public  boolean gatherTransparentRegion(android.graphics.Region arg0) { throw new RuntimeException("Stub!"); }
public  void requestTransparentRegion(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  android.view.animation.Animation.AnimationListener getLayoutAnimationListener() { throw new RuntimeException("Stub!"); }
public  void setAddStatesFromChildren(boolean arg0) { throw new RuntimeException("Stub!"); }
public  boolean addStatesFromChildren() { throw new RuntimeException("Stub!"); }
public  void childDrawableStateChanged(android.view.View arg0) { throw new RuntimeException("Stub!"); }
public  void setLayoutAnimationListener(android.view.animation.Animation.AnimationListener arg0) { throw new RuntimeException("Stub!"); }
public static final int FOCUS_BEFORE_DESCENDANTS = 131072;
public static final int FOCUS_AFTER_DESCENDANTS = 262144;
public static final int FOCUS_BLOCK_DESCENDANTS = 393216;
public static final int PERSISTENT_NO_CACHE = 0;
public static final int PERSISTENT_ANIMATION_CACHE = 1;
public static final int PERSISTENT_SCROLLING_CACHE = 2;
public static final int PERSISTENT_ALL_CACHES = 3;
}
