package android.content;
public abstract class Context
{
public  Context() { throw new RuntimeException("Stub!"); }
public abstract  android.content.res.AssetManager getAssets();
public abstract  android.content.res.Resources getResources();
public abstract  android.content.pm.PackageManager getPackageManager();
public abstract  android.content.ContentResolver getContentResolver();
public abstract  android.os.Looper getMainLooper();
public abstract  android.content.Context getApplicationContext();
public final  java.lang.CharSequence getText(int arg0) { throw new RuntimeException("Stub!"); }
public final  java.lang.String getString(int arg0) { throw new RuntimeException("Stub!"); }
public final  java.lang.String getString(int arg0, java.lang.Object... arg1) { throw new RuntimeException("Stub!"); }
public abstract  void setTheme(int arg0);
public abstract  android.content.res.Resources.Theme getTheme();
public final  android.content.res.TypedArray obtainStyledAttributes(int[] arg0) { throw new RuntimeException("Stub!"); }
public final  android.content.res.TypedArray obtainStyledAttributes(int arg0, int[] arg1) throws android.content.res.Resources.NotFoundException { throw new RuntimeException("Stub!"); }
public final  android.content.res.TypedArray obtainStyledAttributes(android.util.AttributeSet arg0, int[] arg1) { throw new RuntimeException("Stub!"); }
public final  android.content.res.TypedArray obtainStyledAttributes(android.util.AttributeSet arg0, int[] arg1, int arg2, int arg3) { throw new RuntimeException("Stub!"); }
public abstract  java.lang.ClassLoader getClassLoader();
public abstract  java.lang.String getPackageName();
public abstract  android.content.pm.ApplicationInfo getApplicationInfo();
public abstract  java.lang.String getPackageResourcePath();
public abstract  java.lang.String getPackageCodePath();
public abstract  android.content.SharedPreferences getSharedPreferences(java.lang.String arg0, int arg1);
public abstract  java.io.FileInputStream openFileInput(java.lang.String arg0) throws java.io.FileNotFoundException;
public abstract  java.io.FileOutputStream openFileOutput(java.lang.String arg0, int arg1) throws java.io.FileNotFoundException;
public abstract  boolean deleteFile(java.lang.String arg0);
public abstract  java.io.File getFileStreamPath(java.lang.String arg0);
public abstract  java.io.File getFilesDir();
public abstract  java.io.File getExternalFilesDir(java.lang.String arg0);
public abstract  java.io.File getCacheDir();
public abstract  java.io.File getExternalCacheDir();
public abstract  java.lang.String[] fileList();
public abstract  java.io.File getDir(java.lang.String arg0, int arg1);
public abstract  android.database.sqlite.SQLiteDatabase openOrCreateDatabase(java.lang.String arg0, int arg1, android.database.sqlite.SQLiteDatabase.CursorFactory arg2);
public abstract  boolean deleteDatabase(java.lang.String arg0);
public abstract  java.io.File getDatabasePath(java.lang.String arg0);
public abstract  java.lang.String[] databaseList();
public abstract  android.graphics.drawable.Drawable getWallpaper();
public abstract  android.graphics.drawable.Drawable peekWallpaper();
public abstract  int getWallpaperDesiredMinimumWidth();
public abstract  int getWallpaperDesiredMinimumHeight();
public abstract  void setWallpaper(android.graphics.Bitmap arg0) throws java.io.IOException;
public abstract  void setWallpaper(java.io.InputStream arg0) throws java.io.IOException;
public abstract  void clearWallpaper() throws java.io.IOException;
public abstract  void startActivity(android.content.Intent arg0);
public abstract  void startIntentSender(android.content.IntentSender arg0, android.content.Intent arg1, int arg2, int arg3, int arg4) throws android.content.IntentSender.SendIntentException;
public abstract  void sendBroadcast(android.content.Intent arg0);
public abstract  void sendBroadcast(android.content.Intent arg0, java.lang.String arg1);
public abstract  void sendOrderedBroadcast(android.content.Intent arg0, java.lang.String arg1);
public abstract  void sendOrderedBroadcast(android.content.Intent arg0, java.lang.String arg1, android.content.BroadcastReceiver arg2, android.os.Handler arg3, int arg4, java.lang.String arg5, android.os.Bundle arg6);
public abstract  void sendStickyBroadcast(android.content.Intent arg0);
public abstract  void sendStickyOrderedBroadcast(android.content.Intent arg0, android.content.BroadcastReceiver arg1, android.os.Handler arg2, int arg3, java.lang.String arg4, android.os.Bundle arg5);
public abstract  void removeStickyBroadcast(android.content.Intent arg0);
public abstract  android.content.Intent registerReceiver(android.content.BroadcastReceiver arg0, android.content.IntentFilter arg1);
public abstract  android.content.Intent registerReceiver(android.content.BroadcastReceiver arg0, android.content.IntentFilter arg1, java.lang.String arg2, android.os.Handler arg3);
public abstract  void unregisterReceiver(android.content.BroadcastReceiver arg0);
public abstract  android.content.ComponentName startService(android.content.Intent arg0);
public abstract  boolean stopService(android.content.Intent arg0);
public abstract  boolean bindService(android.content.Intent arg0, android.content.ServiceConnection arg1, int arg2);
public abstract  void unbindService(android.content.ServiceConnection arg0);
public abstract  boolean startInstrumentation(android.content.ComponentName arg0, java.lang.String arg1, android.os.Bundle arg2);
public abstract  java.lang.Object getSystemService(java.lang.String arg0);
public abstract  int checkPermission(java.lang.String arg0, int arg1, int arg2);
public abstract  int checkCallingPermission(java.lang.String arg0);
public abstract  int checkCallingOrSelfPermission(java.lang.String arg0);
public abstract  void enforcePermission(java.lang.String arg0, int arg1, int arg2, java.lang.String arg3);
public abstract  void enforceCallingPermission(java.lang.String arg0, java.lang.String arg1);
public abstract  void enforceCallingOrSelfPermission(java.lang.String arg0, java.lang.String arg1);
public abstract  void grantUriPermission(java.lang.String arg0, android.net.Uri arg1, int arg2);
public abstract  void revokeUriPermission(android.net.Uri arg0, int arg1);
public abstract  int checkUriPermission(android.net.Uri arg0, int arg1, int arg2, int arg3);
public abstract  int checkCallingUriPermission(android.net.Uri arg0, int arg1);
public abstract  int checkCallingOrSelfUriPermission(android.net.Uri arg0, int arg1);
public abstract  int checkUriPermission(android.net.Uri arg0, java.lang.String arg1, java.lang.String arg2, int arg3, int arg4, int arg5);
public abstract  void enforceUriPermission(android.net.Uri arg0, int arg1, int arg2, int arg3, java.lang.String arg4);
public abstract  void enforceCallingUriPermission(android.net.Uri arg0, int arg1, java.lang.String arg2);
public abstract  void enforceCallingOrSelfUriPermission(android.net.Uri arg0, int arg1, java.lang.String arg2);
public abstract  void enforceUriPermission(android.net.Uri arg0, java.lang.String arg1, java.lang.String arg2, int arg3, int arg4, int arg5, java.lang.String arg6);
public abstract  android.content.Context createPackageContext(java.lang.String arg0, int arg1) throws android.content.pm.PackageManager.NameNotFoundException;
public  boolean isRestricted() { throw new RuntimeException("Stub!"); }
public static final int MODE_PRIVATE = 0;
public static final int MODE_WORLD_READABLE = 1;
public static final int MODE_WORLD_WRITEABLE = 2;
public static final int MODE_APPEND = 32768;
public static final int BIND_AUTO_CREATE = 1;
public static final int BIND_DEBUG_UNBIND = 2;
public static final int BIND_NOT_FOREGROUND = 4;
public static final java.lang.String POWER_SERVICE = "power";
public static final java.lang.String WINDOW_SERVICE = "window";
public static final java.lang.String LAYOUT_INFLATER_SERVICE = "layout_inflater";
public static final java.lang.String ACCOUNT_SERVICE = "account";
public static final java.lang.String ACTIVITY_SERVICE = "activity";
public static final java.lang.String ALARM_SERVICE = "alarm";
public static final java.lang.String NOTIFICATION_SERVICE = "notification";
public static final java.lang.String ACCESSIBILITY_SERVICE = "accessibility";
public static final java.lang.String KEYGUARD_SERVICE = "keyguard";
public static final java.lang.String LOCATION_SERVICE = "location";
public static final java.lang.String SEARCH_SERVICE = "search";
public static final java.lang.String SENSOR_SERVICE = "sensor";
public static final java.lang.String WALLPAPER_SERVICE = "wallpaper";
public static final java.lang.String VIBRATOR_SERVICE = "vibrator";
public static final java.lang.String CONNECTIVITY_SERVICE = "connectivity";
public static final java.lang.String WIFI_SERVICE = "wifi";
public static final java.lang.String AUDIO_SERVICE = "audio";
public static final java.lang.String TELEPHONY_SERVICE = "phone";
public static final java.lang.String CLIPBOARD_SERVICE = "clipboard";
public static final java.lang.String INPUT_METHOD_SERVICE = "input_method";
public static final java.lang.String DROPBOX_SERVICE = "dropbox";
public static final java.lang.String DEVICE_POLICY_SERVICE = "device_policy";
public static final java.lang.String UI_MODE_SERVICE = "uimode";
public static final int CONTEXT_INCLUDE_CODE = 1;
public static final int CONTEXT_IGNORE_SECURITY = 2;
public static final int CONTEXT_RESTRICTED = 4;
}
