package android.database;
public interface Cursor
{
public abstract  int getCount();
public abstract  int getPosition();
public abstract  boolean move(int arg0);
public abstract  boolean moveToPosition(int arg0);
public abstract  boolean moveToFirst();
public abstract  boolean moveToLast();
public abstract  boolean moveToNext();
public abstract  boolean moveToPrevious();
public abstract  boolean isFirst();
public abstract  boolean isLast();
public abstract  boolean isBeforeFirst();
public abstract  boolean isAfterLast();
public abstract  int getColumnIndex(java.lang.String arg0);
public abstract  int getColumnIndexOrThrow(java.lang.String arg0) throws java.lang.IllegalArgumentException;
public abstract  java.lang.String getColumnName(int arg0);
public abstract  java.lang.String[] getColumnNames();
public abstract  int getColumnCount();
public abstract  byte[] getBlob(int arg0);
public abstract  java.lang.String getString(int arg0);
public abstract  void copyStringToBuffer(int arg0, android.database.CharArrayBuffer arg1);
public abstract  short getShort(int arg0);
public abstract  int getInt(int arg0);
public abstract  long getLong(int arg0);
public abstract  float getFloat(int arg0);
public abstract  double getDouble(int arg0);
public abstract  boolean isNull(int arg0);
public abstract  void deactivate();
public abstract  boolean requery();
public abstract  void close();
public abstract  boolean isClosed();
public abstract  void registerContentObserver(android.database.ContentObserver arg0);
public abstract  void unregisterContentObserver(android.database.ContentObserver arg0);
public abstract  void registerDataSetObserver(android.database.DataSetObserver arg0);
public abstract  void unregisterDataSetObserver(android.database.DataSetObserver arg0);
public abstract  void setNotificationUri(android.content.ContentResolver arg0, android.net.Uri arg1);
public abstract  boolean getWantsAllOnMoveCalls();
public abstract  android.os.Bundle getExtras();
public abstract  android.os.Bundle respond(android.os.Bundle arg0);
}
