package android.view;
public abstract class Window
{
public static interface Callback
{
public abstract  boolean dispatchKeyEvent(android.view.KeyEvent arg0);
public abstract  boolean dispatchTouchEvent(android.view.MotionEvent arg0);
public abstract  boolean dispatchTrackballEvent(android.view.MotionEvent arg0);
public abstract  boolean dispatchPopulateAccessibilityEvent(android.view.accessibility.AccessibilityEvent arg0);
public abstract  android.view.View onCreatePanelView(int arg0);
public abstract  boolean onCreatePanelMenu(int arg0, android.view.Menu arg1);
public abstract  boolean onPreparePanel(int arg0, android.view.View arg1, android.view.Menu arg2);
public abstract  boolean onMenuOpened(int arg0, android.view.Menu arg1);
public abstract  boolean onMenuItemSelected(int arg0, android.view.MenuItem arg1);
public abstract  void onWindowAttributesChanged(android.view.WindowManager.LayoutParams arg0);
public abstract  void onContentChanged();
public abstract  void onWindowFocusChanged(boolean arg0);
public abstract  void onAttachedToWindow();
public abstract  void onDetachedFromWindow();
public abstract  void onPanelClosed(int arg0, android.view.Menu arg1);
public abstract  boolean onSearchRequested();
}
public  Window(android.content.Context arg0) { throw new RuntimeException("Stub!"); }
public final  android.content.Context getContext() { throw new RuntimeException("Stub!"); }
public final  android.content.res.TypedArray getWindowStyle() { throw new RuntimeException("Stub!"); }
public  void setContainer(android.view.Window arg0) { throw new RuntimeException("Stub!"); }
public final  android.view.Window getContainer() { throw new RuntimeException("Stub!"); }
public final  boolean hasChildren() { throw new RuntimeException("Stub!"); }
public  void setWindowManager(android.view.WindowManager arg0, android.os.IBinder arg1, java.lang.String arg2) { throw new RuntimeException("Stub!"); }
public  android.view.WindowManager getWindowManager() { throw new RuntimeException("Stub!"); }
public  void setCallback(android.view.Window.Callback arg0) { throw new RuntimeException("Stub!"); }
public final  android.view.Window.Callback getCallback() { throw new RuntimeException("Stub!"); }
public abstract  boolean isFloating();
public  void setLayout(int arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void setGravity(int arg0) { throw new RuntimeException("Stub!"); }
public  void setType(int arg0) { throw new RuntimeException("Stub!"); }
public  void setFormat(int arg0) { throw new RuntimeException("Stub!"); }
public  void setWindowAnimations(int arg0) { throw new RuntimeException("Stub!"); }
public  void setSoftInputMode(int arg0) { throw new RuntimeException("Stub!"); }
public  void addFlags(int arg0) { throw new RuntimeException("Stub!"); }
public  void clearFlags(int arg0) { throw new RuntimeException("Stub!"); }
public  void setFlags(int arg0, int arg1) { throw new RuntimeException("Stub!"); }
public  void setAttributes(android.view.WindowManager.LayoutParams arg0) { throw new RuntimeException("Stub!"); }
public final  android.view.WindowManager.LayoutParams getAttributes() { throw new RuntimeException("Stub!"); }
public  boolean requestFeature(int arg0) { throw new RuntimeException("Stub!"); }
public final  void makeActive() { throw new RuntimeException("Stub!"); }
public final  boolean isActive() { throw new RuntimeException("Stub!"); }
public  android.view.View findViewById(int arg0) { throw new RuntimeException("Stub!"); }
public abstract  void setContentView(int arg0);
public abstract  void setContentView(android.view.View arg0);
public abstract  void setContentView(android.view.View arg0, android.view.ViewGroup.LayoutParams arg1);
public abstract  void addContentView(android.view.View arg0, android.view.ViewGroup.LayoutParams arg1);
public abstract  android.view.View getCurrentFocus();
public abstract  android.view.LayoutInflater getLayoutInflater();
public abstract  void setTitle(java.lang.CharSequence arg0);
public abstract  void setTitleColor(int arg0);
public abstract  void openPanel(int arg0, android.view.KeyEvent arg1);
public abstract  void closePanel(int arg0);
public abstract  void togglePanel(int arg0, android.view.KeyEvent arg1);
public abstract  boolean performPanelShortcut(int arg0, int arg1, android.view.KeyEvent arg2, int arg3);
public abstract  boolean performPanelIdentifierAction(int arg0, int arg1, int arg2);
public abstract  void closeAllPanels();
public abstract  boolean performContextMenuIdentifierAction(int arg0, int arg1);
public abstract  void onConfigurationChanged(android.content.res.Configuration arg0);
public  void setBackgroundDrawableResource(int arg0) { throw new RuntimeException("Stub!"); }
public abstract  void setBackgroundDrawable(android.graphics.drawable.Drawable arg0);
public abstract  void setFeatureDrawableResource(int arg0, int arg1);
public abstract  void setFeatureDrawableUri(int arg0, android.net.Uri arg1);
public abstract  void setFeatureDrawable(int arg0, android.graphics.drawable.Drawable arg1);
public abstract  void setFeatureDrawableAlpha(int arg0, int arg1);
public abstract  void setFeatureInt(int arg0, int arg1);
public abstract  void takeKeyEvents(boolean arg0);
public abstract  boolean superDispatchKeyEvent(android.view.KeyEvent arg0);
public abstract  boolean superDispatchTouchEvent(android.view.MotionEvent arg0);
public abstract  boolean superDispatchTrackballEvent(android.view.MotionEvent arg0);
public abstract  android.view.View getDecorView();
public abstract  android.view.View peekDecorView();
public abstract  android.os.Bundle saveHierarchyState();
public abstract  void restoreHierarchyState(android.os.Bundle arg0);
public abstract  void setChildDrawable(int arg0, android.graphics.drawable.Drawable arg1);
public abstract  void setChildInt(int arg0, int arg1);
public abstract  boolean isShortcutKey(int arg0, android.view.KeyEvent arg1);
public abstract  void setVolumeControlStream(int arg0);
public abstract  int getVolumeControlStream();
public static final int FEATURE_OPTIONS_PANEL = 0;
public static final int FEATURE_NO_TITLE = 1;
public static final int FEATURE_PROGRESS = 2;
public static final int FEATURE_LEFT_ICON = 3;
public static final int FEATURE_RIGHT_ICON = 4;
public static final int FEATURE_INDETERMINATE_PROGRESS = 5;
public static final int FEATURE_CONTEXT_MENU = 6;
public static final int FEATURE_CUSTOM_TITLE = 7;
public static final int PROGRESS_VISIBILITY_ON = -1;
public static final int PROGRESS_VISIBILITY_OFF = -2;
public static final int PROGRESS_INDETERMINATE_ON = -3;
public static final int PROGRESS_INDETERMINATE_OFF = -4;
public static final int PROGRESS_START = 0;
public static final int PROGRESS_END = 10000;
public static final int PROGRESS_SECONDARY_START = 20000;
public static final int PROGRESS_SECONDARY_END = 30000;
public static final int ID_ANDROID_CONTENT = 16908290;
}
